C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Connections.ScimConfiguration.Tokens.GetAsync(
"id"
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Connections.ScimConfiguration.Tokens.Get(
context.TODO(),
"id",
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.connections().scimConfiguration().tokens().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->connections->scimConfiguration->tokens->get(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.connections.scim_configuration.tokens.get(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.connections.scim_configuration.tokens.get(id: "id")import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.get("id");
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/connections/{id}/scim-configuration/tokens \
--header 'Authorization: Bearer <token>'[
{
"token_id": "<string>",
"scopes": [
"<string>"
],
"created_at": "<string>",
"valid_until": "<string>",
"last_used_at": "<string>"
}
]Get a connection's SCIM tokens
Retrieves all scim tokens by its connection id.
GET
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
/
tokens
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Connections.ScimConfiguration.Tokens.GetAsync(
"id"
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Connections.ScimConfiguration.Tokens.Get(
context.TODO(),
"id",
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.connections().scimConfiguration().tokens().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->connections->scimConfiguration->tokens->get(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.connections.scim_configuration.tokens.get(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.connections.scim_configuration.tokens.get(id: "id")import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.tokens.get("id");
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/connections/{id}/scim-configuration/tokens \
--header 'Authorization: Bearer <token>'[
{
"token_id": "<string>",
"scopes": [
"<string>"
],
"created_at": "<string>",
"valid_until": "<string>",
"last_used_at": "<string>"
}
]Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the connection to retrieve its SCIM configuration
Response
The connection's SCIM tokens were retrieved. See Response Schemas for schema.
Was this page helpful?
⌘I